PainRatio {PerformanceAnalytics} | R Documentation

## Pain ratio of the return distribution

### Description

To calculate Pain ratio we divide the difference of the portfolio return and the risk free rate by the Pain index

### Usage

    PainRatio(R, Rf = 0, ...)

### Arguments

`R` | an xts, vector, matrix, data frame, timeSeries or zoo object of asset returns
`Rf` | risk free rate, in same period as your returns
`...` | any other passthru parameters

### Details

Pain ratio = (rp - rf) / Pain index

where r_P is the annualized portfolio return, r_F is the risk free rate, n is the number of observations of the entire series, D'_i is the drawdown since previous peak in period i

### Author(s)

Matthieu Lestel

### References

Carl Bacon, Practical portfolio performance measurement and attribution, second edition 2008 p.91

### Examples

    data(portfolio_bacon)
    print(PainRatio(portfolio_bacon[,1])) #expected 2.66

    data(managers)
    print(PainRatio(managers['1996']))
    print(PainRatio(managers['1996',1]))

[Package PerformanceAnalytics version 1.5.3 Index]